curl --request PUT \
--url https://api.messaging.phonovation.com/ccaas/1/account/configuration \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"webhookUrl": "https://www.url.com/assets/receive/url"
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/account/configuration"
payload = { "webhookUrl": "https://www.url.com/assets/receive/url" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/account/configuration");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"webhookUrl\": \"https://www.url.com/assets/receive/url\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/ccaas/1/account/configuration")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"webhookUrl\": \"https://www.url.com/assets/receive/url\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/account/configuration",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'webhookUrl' => 'https://www.url.com/assets/receive/url'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({webhookUrl: 'https://www.url.com/assets/receive/url'})
};
fetch('https://api.messaging.phonovation.com/ccaas/1/account/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"statusCode": "SUCCESS",
"message": "Account configuration successfully updated."
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Invalid request body."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Update account configuration
This endpoint is deprecated as of March 12, 2025, meaning no fixes or updates will be provided. It will be completely removed on December 31, 2026. Configure the webhooks through the Subscription management section in your Phonovation account or the existing Subscriptions management API.
Required scope: Enable one of: conversations:manage.
curl --request PUT \
--url https://api.messaging.phonovation.com/ccaas/1/account/configuration \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"webhookUrl": "https://www.url.com/assets/receive/url"
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/account/configuration"
payload = { "webhookUrl": "https://www.url.com/assets/receive/url" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/account/configuration");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"webhookUrl\": \"https://www.url.com/assets/receive/url\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/ccaas/1/account/configuration")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"webhookUrl\": \"https://www.url.com/assets/receive/url\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/account/configuration",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'webhookUrl' => 'https://www.url.com/assets/receive/url'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({webhookUrl: 'https://www.url.com/assets/receive/url'})
};
fetch('https://api.messaging.phonovation.com/ccaas/1/account/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"statusCode": "SUCCESS",
"message": "Account configuration successfully updated."
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Invalid request body."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Body
Webhook url all inbound messages will be forwarded to.
255